@import url("https://fonts.googleapis.com/css2?family=Plus+Jakarta+Sans:wght@500;800&display=swap");

.notification-wrapper {
  display: flex;
  width: 800px;
  margin: 2rem;
  word-spacing: 1.5px;
  height: fit-content;
  flex-direction: column;
  gap: 1.5rem;
  padding: 1.5rem;
  background-color: white;
  border-radius: 1rem;
  font-family: "Plus Jakarta Sans", sans-serif;
  box-shadow: 0px 0px 10px 0px #c3c3c3;

  .header {
    display: flex;
    flex: 1;
    width: 100%;
    align-items: center;
    justify-content: space-between;

    .title {
      font-size: 2rem;
      font-weight: 800;
      display: flex;
      gap: 0.75rem;
      align-items: center;

      @media screen and (max-width: 600px) {
        font-size: 1.25rem;
      }

      span {
        padding: 2px 10px;
        border-radius: 4px;
        font-size: 1rem;
        color: white;
        background-color: hsl(219, 85%, 26%);

        @media screen and (max-width: 600px) {
          font-size: 0.875rem;
        }
      }
    }
    .link {
      font-size: 1rem;
      color: gray;
      border: none;
      background-color: transparent;

      @media screen and (max-width: 600px) {
        font-size: 0.875rem;
      }

      &:hover {
        text-decoration: underline;
        color: hsl(219, 85%, 26%);
        cursor: pointer;
      }

      &:disabled {
        cursor: not-allowed;
        text-decoration: none;
        color: gray;
      }
    }
  }

  .notifications {
    display: flex;
    flex-direction: column;
    gap: 0.5rem;
    .single-notification {
      display: flex;
      align-items: center;
      padding: 0.75rem 0.75rem;
      border-radius: 0.5rem;
      gap: 1rem;

      &:hover {
        cursor: pointer;
      }

      img {
        width: 40px;
        height: 40px;
        align-self: flex-start;
      }
      .content {
        font-size: 0.8rem;
        display: flex;
        flex-direction: column;
        color: gray;
        gap: 0.25rem;

        .n-title {
          display: flex;
          gap: 3px;
          flex-wrap: wrap;
          align-items: flex-end;

          .txt-bold {
            font-weight: 800;
            color: black;
            white-space: break-word;
            font-size: 0.875rem;
          }

          .blue {
            color: hsl(219, 85%, 26%);
          }

          .circle {
            width: 8px;
            align-self: center;
            border-radius: 50%;
            height: 8px;
            background-color: hsl(1, 90%, 64%);
          }
        }
        .message {
          margin-top: 0.25rem;
          padding: 0.75rem;
          line-height: 1.125rem;
          border-radius: 0.5rem;
          color: rgb(0, 145, 0);
          background-color: hsl(146, 60%, 93%);
          border: 1px solid gray;
        }
      }
    }
    .unread {
      background-color: hsl(211, 68%, 94%);
    }
  }
}
p {
  margin: 0;
}
